Subject: Re: bug#44327: `guix install` doesn't warn about collison in profile

From: zimoun <[email-masked]>
Date: Fri, 30 Oct 2020 17:30:27 +0100

On Fri, 30 Oct 2020 at 17:20, Ludovic Courtès <[email-masked]> wrote:

> Currently, ‘guix install’ errors out if you try to install two
> same-named packages with a different version number or a different store
> file name (typically via propagated inputs).
>
> Here, ‘emacs’ and ‘emacs-xwidgets’ have different names, so it doesn’t
> complain.
>
> Perhaps we should offer a way to annotate packages as conflicting with
> one another?

Why?  The solution seems to check the path names.  Here, the 2
packages provide 'bin/emacs'; which is the conflict.  However, this
could be implemented with care otherwise it will slow down.
I have not check 'union-build' but maybe it is already the case. :-)

All the best,
simon